I am here

你的出生是个你必须花一辈子去矫正的错误。

npm ERR! extraneous:

使用npm 安装包时出现错误 安装失败后

npm list 出现以下信息

npm ERR! extraneous: asciify-pixel-matrix@1.0.6 D:\Project\wzzl\node_modules\asciify-pixel-matrix
npm ERR! extraneous: compute-size@1.0.5 D:\Project\wzzl\node_modules\compute-size
npm ERR! extraneous: got@6.6.3 D:\Project\wzzl\node_modules\got
npm ERR! extraneous: image-parser@1.2.1 D:\Project\wzzl\node_modules\image-parser
npm ERR! extraneous: lwip-pixels@1.1.4 D:\Project\wzzl\node_modules\lwip-pixels
npm ERR! extraneous: one-by-one@3.2.3 D:\Project\wzzl\node_modules\one-by-one
npm ERR! extraneous: terminal-char-width@1.0.4 D:\Project\wzzl\node_modules\terminal-char-width
npm ERR! extraneous: underscore@1.8.3 D:\Project\wzzl\node_modules\underscore
npm ERR! extraneous: url-remote@1.1.3 D:\Project\wzzl\node_modules\url-remote
npm ERR! extraneous: walkdo@0.9.6 D:\Project\wzzl\node_modules\walkdo

应该说的是有一些闲置的、不必要的软件包安装。在大多数情况下 这应该是一个警告,因此可以忽略。

如果需要删除这些信息 可以这样:

npm prune

它会删除package.json文件外的所有包 再次npm list 发现错误消失!

disclaimer

本站只提供资讯,不提供任何上传下载服务,所有内容均来自分享站点所提供的公开引用资讯。 如果有版权违规内容,请通知作者删除。

本站不支持IE8浏览器 如果网页显示不正常,请升级到IE9及以上 推荐使用 Firefox、Chrome 等专业浏览器。